{pkgs, lib, config,...}:
{
  programs.fuzzel.enable = true;
  programs.fuzzel.settings = lib.mkAfter {
    main = {
      dpi-aware = false;
      font = lib.mkForce "JetBrainsMono NF SemiBold:size=14";
      placeholder = " Search...";
      icons-enabled = true;
      use-bold = true;
      fields = lib.mkForce "name,generic,comment,categories,filename,keywords,exec";
      terminal = "kitty";
      prompt = "";
      show-actions = false;
      anchor = "center";
      x-margin = 15;
      y-margin = 0;
      lines = 10;
      width = 50;
      horizontal-pad = 20;
      vertical-pad = 20;
      inner-pad = 5;
      line-height = 30;
      letter-spacing = 0;
      image-size-ratio = 0.2;
      exit-on-keyboard-focus-loss = true;
    };
    border = {
      radius = 5;
			width = 2;
    };
    dmenu = {
      mode = "text";
    };
    colors = {
      prompt = lib.mkForce "${config.lib.stylix.colors.base00-hex}ff";
    };
  };
}
